﻿Imports System.Collections.ObjectModel
Imports DlhSoft.Windows.Data

Class Window1

    Public Sub New()

        InitializeComponent()

        ' Prepare the node data collection.
        Dim nodeItems As New ObservableCollection(Of NodeItem)
        nodeItems.Add(New NodeItem With {.Content = "Node 1"})
        nodeItems.Add(New NodeItem With {.Content = "Node 1.1", .Indentation = 1})
        nodeItems.Add(New NodeItem With {.Content = "Node 1.2", .Indentation = 1})
        nodeItems.Add(New NodeItem With {.Content = "Node 1.2.1", .Indentation = 2})
        nodeItems.Add(New NodeItem With {.Content = "Node 1.2.2", .Indentation = 2})
        nodeItems.Add(New NodeItem With {.Content = "Node 2", .IsExpanded = True})
        nodeItems.Add(New NodeItem With {.Content = "Node 2.1", .Indentation = 1})
        nodeItems.Add(New NodeItem With {.Content = "Node 2.2", .Indentation = 1})
        nodeItems.Add(New NodeItem With {.Content = "Node 2.3", .Indentation = 1, .IsExpanded = True})
        nodeItems.Add(New NodeItem With {.Content = "Node 2.3.1", .Indentation = 2})
        nodeItems.Add(New NodeItem With {.Content = "Node 2.3.2", .Indentation = 2})
        nodeItems.Add(New NodeItem With {.Content = "Node 3"})

        ' You can also prepare node data items dynamically.
        For i As Integer = 4 To 64
            nodeItems.Add(New NodeItem With {.Content = "Node " & i})
        Next

        ' Set the ItemsSource to the prepared node data collection.
        TreeListView.ItemsSource = nodeItems

    End Sub
End Class
